package Phone;

sub New
{
my $type = shift;
my $self = {};

bless $self, $type;

my $status = $self->Init( @_ );

print "$status\n", return ""  if $status;

return $self;

}

sub Init()
{
my ($self, $file) = @_;
my ($name, $number);

  open(BOOK, $file) or return "Init() failed: can not open $file\n";

  while( <BOOK> )
  {
    chop;
    ($name, $number) = split /\t/;
    $self->AddEntry($name, $number);
  }

  close BOOK;

  return "";

}

sub AddEntry()
{
my ($self, $name, $number) = @_;

  if($self{$name})
  {
    push @{$self{$name}}, $number;
  }
  else 
  {
    $self{$name} = [ $number ];
  }
}

sub LookupByName
{
my ($self, $name) = @_;

  return $self{$name};

}

1;
